/***************************************************************************
                          kcdefault.h  -  description
                             -------------------
    begin                : Thu Dec 21 2000
    copyright            : (C) 2000 by Mathieu Jobin
    email                : somekool@mytradecenter.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KCDEFAULT_H
#define KCDEFAULT_H

#include <qstring.h>
#include <qobject.h>
#include <qlist.h>
#include <qwidget.h>
#include <qpaintdevice.h>
#include <qpainter.h>
#include <qcolordialog.h>
#include <qbuttongroup.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qgroupbox.h>
#include <qvaluelist.h>

#include <kaction.h>
#include <kstdaction.h>
#include <kconfig.h>
#include <kglobal.h>
#include <kdebug.h>
#include <kapp.h>

//#include "qcolorcell.h"
//#include "utils.h"
//#include "kcdefault.h"
//#include "kcdefault.h"
//#include "qcolorcell.h"
//#include "kcplconfdlg.h"
//#include "utils.h"

#include "ContratException.h"

#define _defColorA      QColor("#608BB6")
#define _defBGColorOld  QColor("#CCFF29")
#define _defBGColor     QColor("#008080")

#define _defPlColor     QColor("#000000")

#define _defWidth       6
#define _defHeight      6

#define _defNbCols      6
#define _defNbRows      8
#define _defBorder      10
#define _defSpacing     10
#define _defCtrWidth    9
#define _setBarWidth    33
#define _defLBr         QColor (255, 0, 0)
#define _defBar         QColor (153, 0, 153)
#define _defCtr         QColor (51, 102, 0)
#define _defBrd         QColor (51, 0, 102)

#endif //KCDEFAULT_H

