/***************************************************************************
                          kcplconfdlg.h  -  description
                             -------------------
    begin                : Thu Dec 28 2000
    copyright            : (C) 2000 by Mathieu Jobin
    email                : somekool@mytradecenter.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KCPLCONFDLG_H
#define KCPLCONFDLG_H

#include "kcplconfigdlg.h"
#include "kcconfdlg.h"
#include "kcdefault.h"
#include "qcolorcell.h"
#include "utils.h"

/**
  *@author Mathieu Jobin
  */

class KCPlConfDlg : public frmPlOpt
{
	Q_OBJECT

	public:
		KCPlConfDlg();
		~KCPlConfDlg();
		void InsertType (QString s, int x);
		void butOKClicked();
		void butCancelClicked();

	signals:
		void PLconfigChanged();

	private:
		KConfig *config;
		QValueList<int> TypeIndex;
		QValueList<int> TypeValue;
		QString *grp, *Title;
};

#endif

