/***************************************************************************
                          kcplconfdlg.cpp  -  description
                             -------------------
    begin                : Thu Dec 28 2000
    copyright            : (C) 2000 by Mathieu Jobin
    email                : somekool@mytradecenter.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kcplconfdlg.h"
#include "kcplayer.h"

KCPlConfDlg::KCPlConfDlg()
{
	
	config=KGlobal::config();
	config->setGroup("Game");
	grp = new QString ("Player_");
	Title = new QString ("Player ");
	*grp += QString().number(config->readNumEntry ("Current Player Option", 1));
	*Title += QString().number(config->readNumEntry ("Current Player Option", 1));
	config->setGroup(grp->latin1());
	txtName->validateAndSet (config->readEntry ("Name"), 0, 0, 0);
	
	InsertType("Human", KCHUMAN);
	InsertType("Computer AI", KCCOMPUTER);
	InsertType("Networked", KCNETWORKED);
	cmbType->setCurrentItem (findItem(config->readNumEntry ("Type"), TypeIndex, TypeValue));
	gbPlOpt->setTitle(*Title);   // Player XXXX
	setCaption (*Title + QString("'s Options")); // Player XXXX's Options
}

KCPlConfDlg::~KCPlConfDlg()
{
	delete grp;
	delete Title;
}

void KCPlConfDlg::InsertType (QString s, int x)
{
	int tmp, i;

	cmbType->insertItem(s);
	tmp = cmbType->currentItem();
	tmp = i = x;
	TypeIndex.append (tmp);
	TypeValue.append (i);
}

void KCPlConfDlg::butOKClicked()
{
//	SaveOptions();
	config->setGroup(grp->latin1());
	config->writeEntry("Name", txtName->text());
	config->writeEntry("Type", cmbType->currentItem());
	config->writeEntry("Color", kcolbutColorPlayer->color());
	emit PLconfigChanged(); // reload Players QList.
	delete this;
}

void KCPlConfDlg::butCancelClicked()
{
	delete this;
}

#include "kcplconfdlg.moc"

