/***************************************************************************
                          qcolorcell.cpp  -  description
                             -------------------
    begin                : Thu Dec 21 2000
    copyright            : (C) 2000 by Mathieu Jobin
    email                : somekool@mytradecenter.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "qcolorcell.h"
#include "kcdefault.h"

QColorCell::QColorCell(QWidget *parent, const char *name)
: KColorButton (parent, name)
{
	config=KGlobal::config();
	config->setGroup("Colors");
	setColor (config->readColorEntry ("KCBGColor", new QColor(_defBGColor)));
}

QColorCellPlayer::QColorCellPlayer(QWidget *parent, const char *name)
: KColorButton (parent, name)
{
	QString *grp;
	
	config=KGlobal::config();
	config->setGroup("Game");
	grp = new QString ("Player_");
	*grp += QString().number(config->readNumEntry ("Current Player Option", 1));
	//kdDebug () << *grp << endl;
	config->setGroup(grp->latin1());
	delete grp;
	setColor (config->readColorEntry ("Color"));
}

#include "qcolorcell.moc"
