/***************************************************************************
                          qcolorcell.h  -  description
                             -------------------
    begin                : Thu Dec 21 2000
    copyright            : (C) 2000 by Mathieu Jobin
    email                : somekool@mytradecenter.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QCOLORCELL_H
#define QCOLORCELL_H

#include <kcolorbutton.h>
#include <kconfig.h>
#include <kglobal.h>

/**
  *@author Mathieu Jobin
  */

class QColorCell : public KColorButton
{
	Q_OBJECT

	public:
		QColorCell(QWidget *parent, const char *name);

	signals:
		void changed();

	private:
		KConfig *config;
};

class QColorCellPlayer : public KColorButton
{
	Q_OBJECT

	public:
		QColorCellPlayer(QWidget *parent, const char *name);

	signals:
		void changed();

	private:
		KConfig *config;
};

#endif
